org.eclipse.emf.cdo.server

## Class RepositoryNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException
        - - org.eclipse.emf.cdo.server.RepositoryNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class RepositoryNotFoundException
      extends CDOException

  An unchecked exception being thrown when opening a `session` to a named `repository` that cannot be found.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryNotFoundException(java.lang.String repositoryName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getRepositoryName()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryNotFoundException

          public RepositoryNotFoundException(java.lang.String repositoryName)

  - ### Method Detail

    - #### getRepositoryName

          public java.lang.String getRepositoryName()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html